Package org.eclipse.graphiti.internal

## Class ExternalPictogramLink

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.internal.ExternalPictogramLink

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `PictogramLink`, `PropertyContainer`

    public class ExternalPictogramLink
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements PictogramLink

The Class ExternalPictogramLink.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`static java.lang.String` `KEY_INDEPENDENT_PROPERTY`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`ExternalPictogramLink()` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getBusinessObjects()` Returns the value of the 'Business Objects' reference list.
`PictogramElement` `getPictogramElement()` Returns the value of the 'Pictogram Element' container reference.
`org.eclipse.emf.common.util.EList<Property>` `getProperties()` Returns the value of the 'Properties' containment reference list.
`void` `setPictogramElement​(PictogramElement newValue)` Sets the value of the '`Pictogram Element`' container reference.

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI, eStaticClass`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### KEY_INDEPENDENT_PROPERTY

    public static final java.lang.String KEY_INDEPENDENT_PROPERTY

See Also:
  Constant Field Values

### Constructor Detail

#### ExternalPictogramLink

    public ExternalPictogramLink()

The Constructor.

### Method Detail

#### getBusinessObjects

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getBusinessObjects()

Description copied from interface: `PictogramLink`
Returns the value of the 'Business Objects' reference list. The list contents are of type `EObject`.

If the meaning of the 'Business Objects' reference list isn't clear, there really should be more of a description here...

Specified by:
  `getBusinessObjects` in interface `PictogramLink`
Returns:
  the value of the 'Business Objects' reference list.
See Also:
  `PictogramsPackage.getPictogramLink_BusinessObjects()`

#### getPictogramElement

    public PictogramElement getPictogramElement()

Description copied from interface: `PictogramLink`
Returns the value of the 'Pictogram Element' container reference. It is bidirectional and its opposite is '`Link`'.

If the meaning of the 'Pictogram Element' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getPictogramElement` in interface `PictogramLink`
Returns:
  the value of the 'Pictogram Element' container reference.
See Also:
  `PictogramLink.setPictogramElement(PictogramElement)`, `PictogramsPackage.getPictogramLink_PictogramElement()`, `PictogramElement.getLink()`

#### setPictogramElement

    public void setPictogramElement​(PictogramElement newValue)

Description copied from interface: `PictogramLink`
Sets the value of the '`Pictogram Element`' container reference.

Specified by:
  `setPictogramElement` in interface `PictogramLink`
Parameters:
  `newValue` - the new value of the 'Pictogram Element' container reference.
See Also:
  `PictogramLink.getPictogramElement()`

#### getProperties

    public org.eclipse.emf.common.util.EList<Property> getProperties()

Description copied from interface: `PropertyContainer`
Returns the value of the 'Properties' containment reference list. The list contents are of type `Property`.

If the meaning of the 'Properties' containment reference list isn't clear, there really should be more of a description here...

Specified by:
  `getProperties` in interface `PropertyContainer`
Returns:
  the value of the 'Properties' containment reference list.
See Also:
  `MmPackage.getPropertyContainer_Properties()`